Ticket #45065

Rulesave: Save action enablers to actions.ruleset

Eröffnet am: 2022-07-08 16:34 Letztes Update: 2023-01-03 13:05

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
2

Details

Split from #41572

Change rulesave.c to save action enablers to actions.ruleset instead of game.ruleset.

Ticket-Verlauf (3/10 Historien)

2022-07-08 16:34 Aktualisiert von: cazfi
  • New Ticket "Rulesave: Save action enablers to actions.ruleset" created
2022-07-21 07:19 Aktualisiert von: cazfi
Kommentar

Please add also a comment when attaching a patch (or any file). osdn does not send notification emails about new attachments, so they alone usually go unnoticed.

2022-12-23 07:59 Aktualisiert von: cazfi
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Keine to Accepted
Kommentar

With #45064 resolved this can now go forward.

Git warned about trailing whitespace being added when applying the patch. Instead of trying to find what that exact (new) one was, I simply cleared all trailing whitespaces from rulesave.c. Patch version with that change attached.

2022-12-25 05:47 Aktualisiert von: cazfi
  • Lösung Update from Accepted to Keine
Kommentar

I've found some issues that need to be resolved first. One is #46350, for the other I'm yet to open a ticket (need to find out more details)

2022-12-25 17:35 Aktualisiert von: cazfi
Kommentar

Reply To cazfi

for the other I'm yet to open a ticket (need to find out more details)

-> #46360

Blocks this, since the CI tests would start failing with this pushed first.

2022-12-30 09:57 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
Kommentar

Known issues (the dependency tickets - no changes to this patch) resolved, let's try again.

2022-12-31 15:40 Aktualisiert von: cazfi
Kommentar

Still needs #46399 first.

2023-01-03 13:05 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Lösung Update from Accepted to Gefixt

Dateianhangliste

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden